Skip to main content
Get incident by event ID
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/3/incidents/incidents/v1/events/{event_id} \
  --header 'Authorization: <api-key>'
{
  "incident": {
    "assignments": [
      {
        "assignedBy": {
          "userId": "user_id"
        },
        "assignedTo": {
          "userId": "user_id"
        }
      }
    ],
    "contextualLabels": {},
    "createdAt": "2024-01-01T00:00:00.000Z",
    "displayLabels": {},
    "duration": "<string>",
    "events": [
      {
        "id": "incident_event_id",
        "acknowledge": {
          "acknowledgedBy": {
            "userId": "user_id"
          }
        },
        "operationalEvent": {
          "systemName": "<string>"
        }
      }
    ],
    "id": "incident_id",
    "lastStateUpdateKey": "last_state_update_key",
    "lastStateUpdateTime": "2024-01-01T00:00:00.000Z",
    "closedAt": "2024-01-01T00:00:00.000Z",
    "description": "incident_description",
    "isMuted": false,
    "metaLabels": [
      {
        "key": "key",
        "value": "value"
      }
    ],
    "name": "incident_name"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

event_id
string
required

Event ID associated to the Incident to acknowledge

Example:

"event_id_1"

Response

Response containing the requested incident

incident
Incident · object
required